Index: configure.ac
===================================================================
--- configure.ac	(revision 415)
+++ configure.ac	(working copy)
@@ -27,6 +27,7 @@
 
 # Checks for typedefs, structures, and compiler characteristics.
 AC_C_CONST
+AC_C_BIGENDIAN
 
 # Checks for library functions.
 AC_FUNC_MALLOC
Index: tools/pack-pbp.c
===================================================================
--- tools/pack-pbp.c	(revision 415)
+++ tools/pack-pbp.c	(working copy)
@@ -10,10 +10,17 @@
 # $Id$
 */
 
-#ifdef __BIG_ENDIAN__
+#ifdef HAVE_CONFIG_H
+#include "config.h"
+#endif
 
- #include <machine/byte_order.h>
+#ifdef WORDS_BIGENDIAN
 
+static int swap_int(int n)
+{
+  return ((n>>24)&0xff)|((n>>8)&0xff00)|((n<<8)&0xff0000)|((n<<24)&0xff000000);
+}
+
 #endif
 
  #include <stdio.h>
@@ -65,10 +72,10 @@
   // Set the header offset values.
   for (loop0=1;loop0<8;loop0++) { header.offset[loop0] = header.offset[loop0 - 1] + filesize[loop0 - 1]; }
 
-#ifdef __BIG_ENDIAN__
+#ifdef WORDS_BIGENDIAN
 
   // Swap the byte order for big-endian machines.
-  for (loop0=0;loop0<8;loop0++) { header.offset[loop0] = NXSwapInt(header.offset[loop0]); }
+  for (loop0=0;loop0<8;loop0++) { header.offset[loop0] = swap_int(header.offset[loop0]); }
 
 #endif 
 
Index: tools/unpack-pbp.c
===================================================================
--- tools/unpack-pbp.c	(revision 415)
+++ tools/unpack-pbp.c	(working copy)
@@ -10,17 +10,24 @@
 # $Id$
 */
 
+#ifdef HAVE_CONFIG_H
+#include "config.h"
+#endif
+
  #include <stdio.h>
  #include <stdlib.h> 
  #ifdef HAVE_MALLOC_H 
  #include <malloc.h> 
  #endif 
 
-#ifdef __BIG_ENDIAN__
+#ifdef WORDS_BIGENDIAN
 
- #include <machine/byte_order.h>
+static int swap_int(int n)
+{
+  return ((n>>24)&0xff)|((n>>8)&0xff00)|((n<<8)&0xff0000)|((n<<24)&0xff000000);
+}
 
-#endif 
+#endif
 
  typedef struct { char signature[4]; int version; int offset[8]; } HEADER;
 
@@ -49,10 +56,10 @@
   if (header.signature[2] != 0x42) { printf("ERROR: Input file is not a PBP file.\n"); return -1; } else
   if (header.signature[3] != 0x50) { printf("ERROR: Input file is not a PBP file.\n"); return -1; }
 
-#ifdef __BIG_ENDIAN__
+#ifdef WORDS_BIGENDIAN
 
   // Swap the byte order for big-endian machines.
-  for (loop0=0; loop0<8; loop0++) { header.offset[loop0] = NXSwapInt(header.offset[loop0]); }
+  for (loop0=0; loop0<8; loop0++) { header.offset[loop0] = swap_int(header.offset[loop0]); }
 
 #endif 
 
